Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.util
Class CasToInlineXml

    java.lang.Object
      org.apache.uima.util.CasToInlineXml

    public class CasToInlineXml

extends Object

Generates an inline XML representation of a CAS. Annotation types are represented as XML tags, features are represented as attributes. Note that features whose values are FeatureStructures are not represented.

Constructor Summary
`CasToInlineXml()`

Method Summary
`void` | `destroy()` This destroy method does nothing.
`String` | `format(CAS aCAS)` Formats a CAS as a String.
`String` | `format(CAS aCAS, FSMatchConstraint aFilter)` Formats a CAS as a String.
`String` | `generateXML(CAS aCAS)` Generates inline XML from a CAS.
`String` | `generateXML(CAS aCAS, FSMatchConstraint aFilter)` Generates inline XML from a CAS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CasToInlineXml

    public CasToInlineXml()

Method Detail

### destroy

    public void destroy()

  This destroy method does nothing.

  See Also:
    `Resource.destroy()`

### format

    public String format(CAS aCAS)
                  throws CASException

  Formats a CAS as a String.

  Throws:
    `CASException`

### format

    public String format(CAS aCAS,
                         FSMatchConstraint aFilter)
                  throws CASException

  Formats a CAS as a String. Only FeatureStructures matching the given filter will be output.

  Throws:
    `CASException`

### generateXML

    public String generateXML(CAS aCAS)
                       throws CASException

  Generates inline XML from a CAS.

  Parameters:
    `aCAS` - CAS to generate from
  Throws:
    `CASException`

### generateXML

    public String generateXML(CAS aCAS,
                              FSMatchConstraint aFilter)
                       throws CASException

  Generates inline XML from a CAS.

  Parameters:
    `aCAS` - CAS to generate from
    `aFilter` - constraint that determines which annotations are included in the output. If null (or ommitted), all annotations are included.
  Throws:
    `CASException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.